> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snackbase.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Users

> Get users in an account.

Returns a paginated list of users for the specified account.
Only superadmins can access this endpoint.



## OpenAPI

````yaml get /api/v1/accounts/{account_id}/users
openapi: 3.1.0
info:
  title: SnackBase
  description: Open-source Backend-as-a-Service (BaaS)
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/accounts/{account_id}/users:
    get:
      tags:
        - accounts
      summary: Get Account Users
      description: |-
        Get users in an account.

        Returns a paginated list of users for the specified account.
        Only superadmins can access this endpoint.
      operationId: get_account_users_api_v1_accounts__account_id__users_get
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
            title: Account Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number (1-indexed)
            default: 1
            title: Page
          description: Page number (1-indexed)
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Items per page
            default: 25
            title: Page Size
          description: Items per page
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountUsersResponse'
        '403':
          description: Superadmin access required
        '404':
          description: Account not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AccountUsersResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/AccountUserResponse'
          type: array
          title: Items
          description: List of users
        total:
          type: integer
          title: Total
          description: Total number of users
        page:
          type: integer
          title: Page
          description: Current page number (1-indexed)
        page_size:
          type: integer
          title: Page Size
          description: Number of items per page
        total_pages:
          type: integer
          title: Total Pages
          description: Total number of pages
      type: object
      required:
        - items
        - total
        - page
        - page_size
        - total_pages
      title: AccountUsersResponse
      description: Paginated response for account users list.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AccountUserResponse:
      properties:
        id:
          type: string
          title: Id
          description: User ID
        email:
          type: string
          title: Email
          description: User email address
        role:
          type: string
          title: Role
          description: User role name
        is_active:
          type: boolean
          title: Is Active
          description: Whether the user is active
        created_at:
          type: string
          format: date-time
          title: Created At
          description: When the user was created
      type: object
      required:
        - id
        - email
        - role
        - is_active
        - created_at
      title: AccountUserResponse
      description: User information in account users list.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````